#!/usr/bin/env python

# Setup script for sisyphus

__version__ = "$Revision: 1.21 $"[11:-2]
# $Source: /data/cvsroot/LivingLogic/Python/sisyphus/setup.py,v $

from distutils.core import setup
import textwrap

DESCRIPTION = """
ll-sisyphus provides classes for running Python scripts as cron jobs.
"""

CLASSIFIERS="""
Development Status :: 5 - Production/Stable
Environment :: Console
Intended Audience :: Developers
License :: OSI Approved :: Python License (CNRI Python License)
Operating System :: Unix
Programming Language :: Python
Topic :: System
"""

KEYWORDS = """
cron
job
"""

DESCRIPTION = "\n".join(textwrap.wrap(DESCRIPTION.strip(), width=64, replace_whitespace=True))

setup(
	name="ll-sisyphus",
	version="0.10.1",
	description="A module for running Python scripts as cron jobs",
	long_description=DESCRIPTION,
	author=u"Walter Drwald",
	author_email="walter@livinglogic.de",
	url="http://www.livinglogic.de/Python/sisyphus/",
	download_url="http://www.livinglogic.de/Python/sisyphus/Download.html",
	license="Python",
	classifiers=CLASSIFIERS.strip().splitlines(),
	keywords=",".join(KEYWORDS.strip().splitlines()),
	py_modules=['ll.sisyphus'],
	package_dir={"ll": ""}
)
